Power Cloud API

Introduction You can use the IBM® Power® Virtual Server to easily deploy and configure virtual servers that are running AIX, IBM i, or Linux RHEL and SLES workloads. To learn about using Power Virtual Server, see: - Getting started with IBM Power Virtual Servershttps://cloud.ibm.com/docs/power-iaas?topic=power-iaas-getting-started - IBM Power Virtual Server CLI Referencehttps://cloud.ibm.com/docs/power-iaas-cli-plugin?topic=power-iaas-cli-plugin-power-iaas-cli-reference-v1 Endpoint URLs The Power Virtual Server service uses regional endpoints over both public and private network. Automatically generated regional API endpoints service URL will default to IBM Cloud Regions which may cause your request to fail. You should always use the Power Virtual Server regions in the service URL. The following table shows the IBM Cloud® regions and their corresponding Power Virtual Server region where the APIs are available: <-- | Country | Power Virtual Server region | Location | Public endpoint service URL | | ------------- | ------------------------------------------ | -------- | ------------------------------------------- | | United States | Washington DC | us-south | https://us-south.power-iaas.cloud.ibm.com | | Washington DC, USA | us-east | us-east | https://us-east.power-iaas.cloud.ibm.com | | S----------------l | b-----o | s-----o | ---------------------------------------- | | Toronto, Canada | ca-tor | tor | https://tor.power-iaas.cloud.ibm.com | | Montreal, Canada | ca-mon | mon | https://mon.power-iaas.cloud.ibm.com | | Frankfurt, Germany | eu-de | eu-de | https://eu-de.power-iaas.cloud.ibm.com | | London, UK | eu-gb | lon | https://lon.power-iaas.cloud.ibm.com | | Sydney, Australia | au-syd | syd | https://syd.power-iaas.cloud.ibm.com | | Tokyo, Japan | jp-tok | tok | https://tok.power-iaas.cloud.ibm.com | | Osaka, Japan | jp-osa | osa | https://osa.power-iaas.cloud.ibm.com | -- | Country | Power Virtual Server region | Location | Public end-point service URL | | ---------------- | ------------------------------------------ | -------------------------- | ----------------------------------------- | | Australia | Sydney | syd04 \n syd05 | https://syd.power-iaas.cloud.ibm.com | | Brazil | Sao Paulo | sao01 \n sao04 | https://sao.power-iaas.cloud.ibm.com | | Canada | Montreal | mon01 | https://mon.power-iaas.cloud.ibm.com | | | Toronto | tor01 | https://tor.power-iaas.cloud.ibm.com | | Germany | Frankfurt | eu-de-1 \n eu-de-2 | https://eu-de.power-iaas.cloud.ibm.com | | UK/Great Britain | London | lon04 \n lon06 | https://lon.power-iaas.cloud.ibm.com | | India | Chennai | che01 \n che02 \n che03 | https://che.power-iaas.cloud.ibm.com | | | Mumbai | in-mum-1 \n in-mum-2 | https://in-mum.power-iaas.cloud.ibm.com | | Japan | Tokyo | tok04 | https://tok.power-iaas.cloud.ibm.com | | | Osaka | osa21 | https://osa.power-iaas.cloud.ibm.com | | Spain | Madrid | mad02 \n mad04 | https://mad.power-iaas.cloud.ibm.com | | United States | Washington DC | us-east \n wdc06 \n wdc07 | https://us-east.power-iaas.cloud.ibm.com | | | Dallas | dal10 \n dal12 \n us-south | https://us-south.power-iaas.cloud.ibm.com | | Country | Power Virtual Server region | Location | Private end-point service URL | | ---------------- | ------------------------------------------ | -------------------------- | ------------------------------------------------- | | Australia | Sydney | syd04 \n syd05 | https://private.au-syd.power-iaas.cloud.ibm.com | | Brazil | Sao Paulo | sao01 \n sao04 | https://private.br-sao.power-iaas.cloud.ibm.com | | Canada | Montreal | mon01 | https://private.ca-mon.power-iaas.cloud.ibm.com | | | Toronto | tor01 | https://private.ca-tor.power-iaas.cloud.ibm.com | | Germany | Frankfurt | eu-de-1 \n eu-de-2 | https://private.eu-de.power-iaas.cloud.ibm.com | | UK/Great Britain | London | lon04 \n lon06 | https://private.eu-gb.power-iaas.cloud.ibm.com | | India | Chennai | che01 \n che02 \n che03 | https://private.in-che.power-iaas.cloud.ibm.com | | | Mumbai | in-mum-1 \n in-mum-2 | https://private.in-mum.power-iaas.cloud.ibm.com | | Japan | Tokyo | tok04 | https://private.jp-tok.power-iaas.cloud.ibm.com | | | Osaka | osa21 | https://private.jp-osa.power-iaas.cloud.ibm.com | | Spain | Madrid | mad02 \n mad04 | https://private.eu-es.power-iaas.cloud.ibm.com | | United States | Washington DC | us-east \n wdc06 \n wdc07 | https://private.us-east.power-iaas.cloud.ibm.com | | | Dallas | dal10 \n dal12 \n us-south | https://private.us-south.power-iaas.cloud.ibm.com | Curl service URL intro To call the API, select the service URL that corresponds to the region of your choice and add a method path to form the complete request URL. For example, to list all the workspaces available in the us-south region, make a GET request to https://us-south.iaas.cloud.ibm.com/v1/workspaces. Example request to call the us-south service URL: codeblock curl -H "Authorization: Bearer {token}" -X {httpmethod} "https://us-south.iaas.cloud.ibm.com/v1{path}" Replace {token}, {httpmethod}, and {path} in this example with the values for your particular request. Authentication The Power Virtual Server API uses Identity and Access Management IAMhttps://cloud.ibm.com/docs/account?topic=account-iamoverview to authenticate requests. To call each API method, you must be assigned a role that includes the required IAM actions. Each method has an Authorization section that lists the required actions and, if applicable, the conditions under which each action is required. Check your access on the IBM Cloud consolehttps://cloud.ibm.com/login by navigating to Usershttps://cloud.ibm.com/iam/users User Access. For more information about IAM actions and how they map to roles, see Assigning access to account management serviceshttps://cloud.ibm.com/docs/account?topic=account-account-services and Managing IAM access for Power Virtual Serverhttps://cloud.ibm.com/docs/power-iaas?topic=power-iaas-managing-resources-and-users. Learn about obtaining an IAM token for an authenticated user or service ID in the IAM Identity Services APIhttps://cloud.ibm.com/apidocs/iam-identity-token-api. If you first create an API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikeycreateuserkey, you can use it to generate an IAM tokenhttps://cloud.ibm.com/docs/account?topic=account-iamtokenfromapikey. To use the API, add a valid IAM token to the HTTP Authorization request header. For example, -H 'Authorization: Bearer {token}'. For specific APIs you must need to include your IBM Cloud IAM access token and the Power Virtual Server instance ID, also known as your Cloud Resource Name CRN, in each request. The first part of your CRN contains your Tenant ID and the second part contains your Cloud Instance ID. The following example shows a typical CRN: text crn:v1:staging:public:power-iaas:us-east:a/abcdefghijklmnopqrstuvwxyzabcdef:121d5ee5-b87d-4a0e-86b8-aaff422135478:: Tenant ID {tenantid} = abcdefghijklmnopqrstuvwxyzabcdef Cloud Instance ID {cloudinstanceid} = 121d5ee5-b87d-4a0e-86b8-aaff422135478 You can retrieve an access token by first creating an API key, and then exchanging your API key for a IBM Cloud IAM token. For more information, see Retrieving an access token programmaticallyhttps://cloud.ibm.com/docs/services/key-protect?topic=key-protect-retrieve-access-token and Retrieving your instance IDhttps://cloud.ibm.com/docs/services/key-protect?topic=key-protect-retrieve-instance-ID. To retrieve your access token: sh curl -X POST \ "https://iam.cloud.ibm.com/identity/token" \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Accept: application/json' \ --data-urlencode 'granttype=urn:ibm:params:oauth:grant-type:apikey' \ --data-urlencode 'apikey={apikey}' To use the API, replace {token} with the token obtained above from IAM, replace {httpmethod} with an HTTP method such as POST, and replace {url} with a request URL such as https://us-south.iaas.cloud.ibm.com/v1/workspaces/{workspaceid}: sh curl -H "Authorization: Bearer {token}" -X {httpmethod} "{url}" -H "CRN" Auditing Monitor API activity within your account by using the IBM Cloud Activity Tracker service. Each time you make an API call, one or more events are generated that you can track and audit from within Activity Tracker. Specific auditing event types are listed for each individual method. For more information about Power Virtual Server activity tracking, see Activity Tracker eventshttps://cloud.ibm.com/docs/power-iaas?topic=power-iaas-at-events. Error handling This API uses standard HTTP response codes to indicate whether a method completed successfully. A 200 response indicates success. A 400 type response indicates a failure, and a 500 type response indicates an internal system error. | HTTP Error Code | Description | Recovery | | --------------- | -------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | 400 | Bad Request | The input parameters in the request body are either incomplete, malformed, or too large. Be sure to include all required parameters in your request. | | 401 | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try submitting the request again. If this error persists, contact the account owner to check your permissions. | | 403 | Forbidden | The supplied authentication is not authorized to perform the requested operation. Either you do not have valid access through IAM access policies or your request is denied. If this error persists, contact the account owner to check your permissions. | | 404 | Not Found | The requested resource could not be found but may be available in the future. | | 405 | Method Not Allowed | The requested resource does not support the request method. | | 406 | Not Acceptable | The resource the client requested is not available in a format allowed by the Accept header supplied by the client. | | 408 | Request Timeout | The connection to the server timed out. Wait a few minutes, and try submitting the request again. | | 409 | Conflict | The request cannot be completed because of a conflict between the request and the current state of the resource. | | 412 | Precondition Failed | The client specified one or more preconditions in its headers, and the server cannot meet those preconditions. | | 426 | Upgrade Required | The server refuses to perform the request using the current protocol but might perform the request after the client upgrades to a different protocol. | | 500 | Internal Server Error | The request cannot be processed because the client encountered an unexpected condition on the server. Wait a few minutes and try submitting the request again. If this error persists, contact IBM Support. | | 501 | Not Implemented | The server either does not recognize the request method, or it lacks the ability to fulfill the request. | | 502 | Bad Gateway | The server was acting as a gateway or proxy and received an invalid response from the upstream server. | | 503 | Service Unavailable | The server cannot process the request. Generally, this condition is temporary, such as when a server is overloaded or down for scheduled maintenance. This condition could also be due to an unplanned outage of a service that is needed to process the request. Wait a few minutes and try submitting the request again. If this error persists, contact IBM Support. | | 504 | Gateway Timeout | The server was acting as a gateway or proxy and did not receive a timely response from the upstream server. | | 505 | HTTP Version Not Supported | The server does not support the HTTP protocol version that is used in the request. | Release notes Use the release notes to learn about the latest changes to the Power Virtual Server API. <-- 2025 -- June 2026 Added the following APIs associated with vPMEM volumes: - Update a vPMEM volume attached to this PVM Instancehttps://cloud.ibm.com/docs/apis/power-cloudpcloud-pvminstances-vpmem-volumes-put December 2025 Added the following APIs associated with vPMEM volumes: - List all vPMEM volumes attached to this PVM Instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-pvminstances-vpmem-volumes-getall - Create a vPMEM volume to be attached to this PVM Instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-pvminstances-vpmem-volumes-post - Delete a vPMEM volume attached to this PVM Instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-pvminstances-vpmem-volumes-delete - Get information about a vPMEM volumehttps://cloud.ibm.com/apidocs/power-cloudpcloud-pvminstances-vpmem-volumes-get September 2025 Added the following APIs associated with network peers: - Get the list of Network Peers for a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-getall - Create a new Network Peerhttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-post - Get the list of Network Interfaces for a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-interfaces-getall - Delete a Network Peer from a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-id-delete - Get the details of a Network Peerhttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-id-get - Update a Network Peerhttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-id-put - Create a new Route Filterhttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-routefilter-post - Delete a Route Filter from a Network Peerhttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-routefilter-id-delete - Get the details of a Route Filterhttps://cloud.ibm.com/apidocs/power-cloudv1-networkpeers-routefilter-id-get July 2025 Added the following APIs associated with routes: - Get all routes in the workspacehttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-routes-getall - Perform a route creationhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-routes-post - Get the route report for a workspacehttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-routes-report-get - Delete a routehttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-routes-delete - Get a route's informationhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-routes-get - Update a route's informationhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-routes-put Added the following APIs associated with ssh keys: - List SSH Keyshttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-sshkeys-getall - Add a new SSH keyhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-sshkeys-post - Delete ssh-keyhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-sshkeys-delete - Get ssh-key informationhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-sshkeys-get - Update the ssh keyhttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedv1-sshkeys-put Added an API to list the supported IBM i software tiers: List supported software tiers IBMi licensinghttps://cloud.ibm.com/apidocs/power-cloud?loginMethod=federatedpcloud-virtualserialnumber-softwaretiers-getall February 2025 Added the following APIs associated with network address groups: - Get the list of Network Address Groups for a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-get - Create a new Network Address Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-post - Delete a Network Address Group from a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-id-delete - Get the detail of a Network Address Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-id-get - Update a Network Address Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-id-put - Add a member to a Network Address Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-members-post - Delete the member from a Network Address Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networkaddressgroups-members-delete Added the following APIs associated with network security groups: - Get the list of Network Security Groups for a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-list - Create a new Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-post - Perform a Network Security Groups action enable, disable on a workspace.https://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-action-post - Delete a Network Security Group from a workspacehttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-id-delete - Get the detail of a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-id-get - Clone a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-id-post - Update a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-id-put - Add a member to a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-members-post - Delete the member from a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-members-delete - Move a Network Security Group member to another Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-move-member-post - Add a rule to a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-rules-post - Delete the rule from a Network Security Grouphttps://cloud.ibm.com/apidocs/power-cloudv1-networksecuritygroups-rules-delete December 2023 The following APIs are availavle: - Get all Datacenters information and capabilitieshttps://cloud.ibm.com/apidocs/power-cloudv1-datacenters-getall - Get a Datacenter's information and capabilitieshttps://cloud.ibm.com/apidocs/power-cloudv1-datacenters-get - Get all Workspaces information and capabilities for a tenanthttps://cloud.ibm.com/apidocs/power-cloudv1-workspaces-getall - Get a Workspace's information and capabilitieshttps://cloud.ibm.com/apidocs/power-cloudv1-workspaces-get November 2023 - New API List all supported storage tiers for this cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudinstances-storagetiers-getall is available. September 2023 - Added parameters availableCapacity, maxAllocationSize, replicationEnabled, storageHost in the Storage capacity for a storage pool in a region GEThttps://cloud.ibm.com/apidocs/power-cloudpcloud-storagecapacity-pools-get. December 2022 - You can now get new error messages for undefined response codes for new service endpoint response codes. September 2022 - Added the following APIs associated with shared processor pool: - Get the list of Shared Processor Pools for a cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-sharedprocessorpools-getall - Create a new Shared Processor Poolhttps://cloud.ibm.com/apidocs/power-cloudpcloud-sharedprocessorpools-post - Get the detail of a Shared Processor Pool for a cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-sharedprocessorpools-get - Update a Shared Processor Pool for a cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-sharedprocessorpools-put - Delete a Shared Processor Pool from a cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-sharedprocessorpools-delete - Added the following APIs associated with global recovery service: - Disaster recovery - Get the disaster recovery site details for the current locationhttps://cloud.ibm.com/apidocs/power-cloudpcloud-locations-disasterrecovery-get - Get all disaster recovery locations supported by Power Virtual Serverhttps://cloud.ibm.com/apidocs/power-cloudpcloud-locations-disasterrecovery-getall - Volume - Perform an action on a Volumehttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudinstances-volumes-action-post - Get a list of flashcopy mappings of a given volumehttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudinstances-volumes-flashcopymappings-ge - Get remote copy relationship of a volumehttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudinstances-volumes-remotecopyrelationsh - Volume onboarding - List all volume onboardings for this cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-volume-onboarding-getall - Onboard auxiliary volumes to target sitehttps://cloud.ibm.com/apidocs/power-cloudpcloud-volume-onboarding-post - Get the information of volume onboarding operationhttps://cloud.ibm.com/apidocs/power-cloudpcloud-volume-onboarding-get - Volume groups - Get all volume groupshttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-getall - Create a new volume grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-post - Get all volume groups with detailshttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-getalldetails - Get volume Grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-get - updates the volume grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-put - Delete a cloud instance volume grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-delete - Perform an action start stop reset on a volume grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-action-post - Get volume Group detailshttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-getdetails - Get remote copy relationships of the volume belonging to volume grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-remotecopyrelationships-get - Get storage details of volume grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-volumegroups-storagedetails-get October 2021 - Added the following APIs associated with VPN connections: - Get VPN connectionshttps://cloud.ibm.com/apidocs/power-cloudpcloud-vpnconnections-getall - Add IKE policyhttps://cloud.ibm.com/apidocs/power-cloudpcloud-ikepolicies-post - Add IPsec policyhttps://cloud.ibm.com/apidocs/power-cloudpcloud-ipsecpolicies-post September 2021 - Added the following APIs associated with Image Capture, Image Import, and Image Export: - Capture a PVM instance and create a deployable imagehttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-pvminstances-capture-post - Add image export job to the jobs queuehttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-images-export-post - Create a new image from available images in COShttps://cloud.ibm.com/apidocs/power-cloudpcloud-v1-cloudinstances-cosimages-post - List up to the last 5 jobs initiated by the cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudinstances-jobs-getall - Added the following APIs associated with storage volumes: - Create multiple data volumes from a single definitionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumes-post - Added the following APIs associated with private endpoint: - Endpoint URLhttps://cloud.ibm.com/apidocs/power-cloudendpoint June 2021 - Added the following APIs associated with placement groups: - Create a server placement grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-placementgroups-post - Get all server placement groupshttps://cloud.ibm.com/apidocs/power-cloudpcloud-placementgroups-getall - Get server placement group detailshttps://cloud.ibm.com/apidocs/power-cloudpcloud-placementgroups-get - Delete server placement grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-placementgroups-delete - Add server to placement grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-placementgroups-members-post - Remove server from placement grouphttps://cloud.ibm.com/apidocs/power-cloudpcloud-placementgroups-members-delete May 2021 - Added the following APIs associated with Cloud connections: - Create a new Cloud connectionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-post - Get all Cloud connections in a specific cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-getall - Get a Cloud connection's state or informationhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-get - Update a Cloud connectionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-put - Delete a Cloud connectionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-delete - Get information about a Cloud connections attached networkhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-networks-get - Add a network to the Cloud connectionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-networks-put - Delete a network from a Cloud connectionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-cloudconnections-networks-delete February 2021 - Added the following APIs associated with volume clone requests: - Create a new volumes clone request and initiate the Prepare actionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-post - Get the list of volumes-clone request for a cloud instancehttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-getall - Get the details for a volumes-clone requesthttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-get - Delete a volumes-clone requesthttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-delete - Initiate the Start action for a volume-clone requesthttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-start-post - Initiate the Execute action for a volumes-clone requesthttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-execute-post - Cancel a volume-clone request and initiate the Cleanup actionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-v2-volumesclone-cancel-post - Added the following APIs for requests related to storage capacity: - Get storage capacity for all available storage types in a regionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-storagecapacity-types-getall - Get storage capacity for a storage type in a regionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-storagecapacity-types-get - Get storage capacity for all available storage pools in a regionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-storagecapacity-pools-getall - Get storage capacity for a storage pool in a regionhttps://cloud.ibm.com/apidocs/power-cloudpcloud-storagecapacity-pools-get

MethodPathSummary
GET/pcloud/v1/cloud-instances/{cloud_instance_id}Get a Cloud Instance's current state/information
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connectionsGet all cloud connections in this cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connectionsCreate a new cloud connection
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections-virtual-private-cloudsGet all virtual private cloud connections in this cloud instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}Delete a Cloud Connection
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}Get a cloud connection's state/information
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}Update a Cloud Connection
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}/networks/{network_id}Detach a network from a Cloud Connection
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/cloud-connections/{cloud_connection_id}/networks/{network_id}Attach a network to the cloud connection
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/cos-imagesGet detail of last cos-image import job
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/cos-imagesCreate an cos-image import job
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/imagesList all images for this cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/imagesCreate a new Image (from available images)
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/images/{image_id}Delete an Image from a Cloud Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/images/{image_id}Detailed info of an image
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/images/{image_id}/exportExport an image
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/stock-imagesList all available stock images
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/stock-images/{image_id}Detailed info of an available stock image
GET/pcloud/v1/imagesList all the images in the image-catalog
GET/pcloud/v1/images/{image_id}Detailed info of an image in the image-catalog
GET/pcloud/v2/cloud-instances/{cloud_instance_id}/images/{image_id}/exportGet detail of last image export job
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/images/{image_id}/exportAdd image export job to the jobs queue
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/eventsGet events from this cloud instance since a specific timestamp
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/events/{event_id}Get a single event
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/jobsList up to the last 5 jobs initiated by the cloud instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/jobs/{job_id}Delete a cloud instance job
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/jobs/{job_id}List the detail of a job
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/locations/disaster-recoveryGet the disaster recovery site details for the current location
GET/pcloud/v1/locations/disaster-recoveryGet all disaster recovery locations supported by Power Virtual Server
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/networksGet all networks in this cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/networksCreate a new Network
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}Delete a Network
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}Get a network's current state/information
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}Update a Network
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/portsGet all ports for this network
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/portsPerform port addition, deletion, and listing
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports/{port_id}Delete a Network Port
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports/{port_id}Get a port's information
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/networks/{network_id}/ports/{port_id}Update a port's information
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groupsGet all Server Placement Groups
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groupsCreate a new Server Placement Group
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id}Delete Server Placement Group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id}Get Server Placement Group detail
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id}/membersRemove Server from Placement Group
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/placement-groups/{placement_group_id}/membersAdd Server to Placement Group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pod-capacityList of available resources within a particular Pod
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instancesGet all the pvm instances for this cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instancesCreate a new Power VM Instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}Delete a PCloud PVM Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}Get a PVM Instance's current state or information
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}Update a PCloud PVM Instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/actionPerform an action on a PVMInstance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/captureCapture a PVMInstance and create a deployable image
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/consoleList all console languages
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/consoleGenerate the noVNC Console URL
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/consoleUpdate PVMInstance console language code
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networksGet all networks for this PVM Instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networksPerform network addition
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networks/{network_id}Remove all Address of Network from a PVM Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/networks/{network_id}Get a PVM Instance's network information
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/operationsPerform an operation on a PVMInstance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/snapshotsGet all snapshots for this PVM Instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/snapshotsCreate a PVM Instance snapshot
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/snapshots/{snapshot_id}/restoreRestore a PVM Instance snapshot
GET/pcloud/v2/cloud-instances/{cloud_instance_id}/pvm-instancesGet all the pvm instances for this cloud instance
GET/pcloud/v2/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/captureGet detail of last capture job
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/captureAdd a capture pvm-instance to the jobs queue
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/virtual-serial-numberUnassign Virtual Serial Number from a PVM Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/virtual-serial-numberGet a PVM Instance's Virtual Serial Number Information
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/virtual-serial-numberAssign Virtual Serial Number to a PVM Instance
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/virtual-serial-numberUpdate a Virtual Serial Number
GET/v1/virtual-serial-numberList all utilized and retained VSNs
GET/v1/virtual-serial-number/software-tiersList supported software tiers (IBMi licensing)
DELETE/v1/virtual-serial-number/{virtual_serial_number}Unreserve a retained Virtual Serial Number
GET/v1/virtual-serial-number/{virtual_serial_number}Get information for a Virtual Serial Number
PUT/v1/virtual-serial-number/{virtual_serial_number}Update Description of a Reserved Virtual Serial Number
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumesList all volumes attached to a PVM Instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}Detach a volume from a PVMInstance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}Detailed info of a volume attached to a PVMInstance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}Attach a volume to a PVMInstance
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}Update a volume attached to a PVMInstance
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumes/{volume_id}/setbootSet the PVMInstance volume as the boot volume
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volumesList all volumes for this cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/volumesCreate a new data Volume
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/cloneCreate a volume clone for specified volumes
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id}Delete a cloud instance volume
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id}Detailed info of a volume
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id}Update a cloud instance volume
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id}/actionPerform an action on a Volume
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id}/flash-copy-mappingsGet a list of flashcopy mappings of a given volume
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/{volume_id}/remote-copyGet remote copy relationship of a volume
DELETE/pcloud/v2/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumesDetach multiple volumes from a PVMInstance
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/volumesAttach all volumes to a PVMInstance
DELETE/pcloud/v2/cloud-instances/{cloud_instance_id}/volumesDelete all volumes
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/volumesCreate multiple data volumes from a single definition
GET/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-cloneGet the list of volumes-clone request for a cloud instance
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-cloneCreate a new volumes clone request and initiates the Prepare action
DELETE/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}Delete a volumes-clone request
GET/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}Get the details for a volumes-clone request
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/cancelCancel a volumes-clone request
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/executeInitiate the Execute action for a volumes-clone request
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes-clone/{volumes_clone_id}/startInitiate the Start action for a volumes-clone request
POST/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes/cloneCreate a volume clone for specified volumes
GET/pcloud/v2/cloud-instances/{cloud_instance_id}/volumes/clone-tasks/{clone_task_id}Get the status of a volumes clone request for the specified clone task ID
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/vpmem-volumesList all vPMEM volumes attached to this PVM Instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/vpmem-volumesCreate a vPMEM volume to be attached to this PVM Instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/vpmem-volumes/{vpmem_volume_id}Delete a vPMEM volume attached to this PVM Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/vpmem-volumes/{vpmem_volume_id}Get information about a vPMEM volume
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/pvm-instances/{pvm_instance_id}/vpmem-volumes/{vpmem_volume_id}Update a vPMEM volume attached to this PVM Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/sapGet list of SAP profiles
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/sapCreate a new SAP PVM Instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/sap/{sap_profile_id}Get the information on an SAP profile
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/shared-processor-poolsGet the list of Shared Processor Pools for a cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/shared-processor-poolsCreate a new Shared Processor Pool
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/shared-processor-pools/{shared_processor_pool_id}Delete a Shared Processor Pool from a cloud instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/shared-processor-pools/{shared_processor_pool_id}Get the detail of a Shared Processor Pool for a cloud instance
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/shared-processor-pools/{shared_processor_pool_id}Update a Shared Processor Pool for a cloud instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/snapshotsList all PVM instance snapshots for this cloud instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots/{snapshot_id}Delete a PVM instance snapshot of a cloud instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots/{snapshot_id}Get the detail of a snapshot
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/snapshots/{snapshot_id}Update a PVM instance snapshot
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/spp-placement-groupsGet the list of Shared Processor Pool Placement Groups for a cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/spp-placement-groupsCreate a new Shared Processor Pool Placement Group
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/spp-placement-groups/{spp_placement_group_id}Delete a Shared Processor Pool Placement Group from a cloud instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/spp-placement-groups/{spp_placement_group_id}Get the detail of a Shared Processor Pool Placement Group for a cloud instance
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/spp-placement-groups/{spp_placement_group_id}/members/{shared_processor_pool_id}Delete Shared Processor Pool member from a Shared Processor Pool Placement Group
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/spp-placement-groups/{spp_placement_group_id}/members/{shared_processor_pool_id}Add Shared Processor Pool as a member of a Shared Processor Pool Placement Group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-poolsStorage capacity for all available storage pools in a region
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-pools/{storage_pool_name}Storage capacity for a storage pool in a region
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-typesStorage capacity for all available storage types in a region
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/storage-capacity/storage-types/{storage_type_name}Storage capacity for a storage type in a region
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/storage-tiersList all supported storage tiers for this cloud instance
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groupsGet all volume groups
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groupsCreate a new volume group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/detailsGet all volume groups with details
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}Delete a cloud instance volume group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}Get volume Group
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}updates the volume group
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}/actionPerform an action on a volume group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}/detailsGet volume Group details
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}/remote-copy-relationshipsGet remote copy relationships of the volume belonging to volume group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volume-groups/{volume_group_id}/storage-detailsGet storage details of volume group
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/onboardingList all volume onboardings for this cloud instance
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/onboardingOnboard auxiliary volumes to target site
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/volumes/onboarding/{volume_onboarding_id}Get the information of volume onboarding operation
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policiesGet all IKE Policies
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policiesAdd IKE Policy
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policies/{ike_policy_id}Delete IKE Policy
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policies/{ike_policy_id}Get the specified IKE Policy
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ike-policies/{ike_policy_id}Update IKE Policy
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ipsec-policiesGet all IPSec Policies
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ipsec-policiesAdd IPSec Policy
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ipsec-policies/{ipsec_policy_id}Delete IPSec Policy
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ipsec-policies/{ipsec_policy_id}Get the specified IPSec Policy
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/ipsec-policies/{ipsec_policy_id}Update IPSec Policy
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connectionsGet all VPN Connections
POST/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connectionsCreate VPN Connection
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}Delete VPN Connection
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}Get VPN Connection
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}Update VPN Connection
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}/networksDetach network
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}/networksGet attached networks
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}/networksAttach network
DELETE/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}/peer-subnetsDetach Peer Subnet
GET/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}/peer-subnetsGet Peer Subnets
PUT/pcloud/v1/cloud-instances/{cloud_instance_id}/vpn/vpn-connections/{vpn_connection_id}/peer-subnetsAttach Peer Subnet
DELETE/pcloud/v1/tasks/{task_id}Delete a Task
GET/pcloud/v1/tasks/{task_id}Get a Task
GET/pcloud/v1/tenants/{tenant_id}Get a Tenant's current state/information
PUT/pcloud/v1/tenants/{tenant_id}Update a tenant
GET/pcloud/v1/tenants/{tenant_id}/sshkeysList a Tenant's SSH Keys
POST/pcloud/v1/tenants/{tenant_id}/sshkeysAdd a new SSH key to the Tenant
DELETE/pcloud/v1/tenants/{tenant_id}/sshkeys/{sshkey_name}Delete a Tenant's SSH key
GET/pcloud/v1/tenants/{tenant_id}/sshkeys/{sshkey_name}Get a Tenant's SSH Key by name
PUT/pcloud/v1/tenants/{tenant_id}/sshkeys/{sshkey_name}Update an SSH Key
GET/v1/available-hostsList all the hosts that can be reserved
GET/v1/host-groupsGet the list of host groups for the workspace
POST/v1/host-groupsCreate a host group with one (or more) host
GET/v1/host-groups/{host_group_id}Get the details of a host group
PUT/v1/host-groups/{host_group_id}Share/unshare a host group with another workspace
GET/v1/hostsGet the list of all the hosts the workspace has access to
POST/v1/hostsAdd new host(s) to an existing host group
DELETE/v1/hosts/{host_id}Release a host from its host group
GET/v1/hosts/{host_id}Get the details about a host
PUT/v1/hosts/{host_id}Modify the display name of a host
GET/v1/datacentersGet all Datacenters information and capabilities
GET/v1/datacenters/privateGet private Datacenter information and capabilities
GET/v1/datacenters/private/{datacenter_region}Get a private Datacenter's information and capabilities
GET/v1/datacenters/{datacenter_region}Get a Datacenter's information and capabilities
GET/v1/network-address-groupsGet the list of Network Address Groups for a workspace
POST/v1/network-address-groupsCreate a new Network Address Group
DELETE/v1/network-address-groups/{network_address_group_id}Delete a Network Address Group from a workspace
GET/v1/network-address-groups/{network_address_group_id}Get the detail of a Network Address Group
PUT/v1/network-address-groups/{network_address_group_id}Update a Network Address Group
POST/v1/network-address-groups/{network_address_group_id}/membersAdd a member to a Network Address Group
DELETE/v1/network-address-groups/{network_address_group_id}/members/{network_address_group_member_id}Delete the member from a Network Address Group
GET/v1/network-peersGet the list of Network Peers
POST/v1/network-peersCreate a new Network Peer
GET/v1/network-peers/interfacesGet the list of Interfaces for Network Peer
DELETE/v1/network-peers/{network_peer_id}Delete a Network Peer
GET/v1/network-peers/{network_peer_id}Get the details of a Network Peer
PUT/v1/network-peers/{network_peer_id}Update a Network Peer
POST/v1/network-peers/{network_peer_id}/route-filtersCreate a new Route Filter
DELETE/v1/network-peers/{network_peer_id}/route-filters/{route_filter_id}Delete a Route Filter
GET/v1/network-peers/{network_peer_id}/route-filters/{route_filter_id}Get the details of a Route Filter
GET/v1/network-security-groupsGet the list of Network Security Groups for a workspace
POST/v1/network-security-groupsCreate a new Network Security Group
POST/v1/network-security-groups/actionPerform a Network Security Groups action (enable, disable) on a workspace. On enablement, a default Network Security Group is created to allow all traffic for all active network iterfaces
DELETE/v1/network-security-groups/{network_security_group_id}Delete a Network Security Group from a workspace
GET/v1/network-security-groups/{network_security_group_id}Get the detail of a Network Security Group
POST/v1/network-security-groups/{network_security_group_id}Clone a Network Security Group
PUT/v1/network-security-groups/{network_security_group_id}Update a Network Security Group
POST/v1/network-security-groups/{network_security_group_id}/membersAdd a member to a Network Security Group
DELETE/v1/network-security-groups/{network_security_group_id}/members/{network_security_group_member_id}Delete the member from a Network Security Group
POST/v1/network-security-groups/{network_security_group_id}/move_memberMove a Network Security Group member to another Network Security Group
POST/v1/network-security-groups/{network_security_group_id}/rulesAdd a rule to a Network Security Group
DELETE/v1/network-security-groups/{network_security_group_id}/rules/{network_security_group_rule_id}Delete the rule from a Network Security Group
GET/v1/networks/{network_id}/network-interfacesGet all Network Interfaces for this network
POST/v1/networks/{network_id}/network-interfacesCreate a Network Interface
DELETE/v1/networks/{network_id}/network-interfaces/{network_interface_id}Delete a Network Interface
GET/v1/networks/{network_id}/network-interfaces/{network_interface_id}Get a Network Interface's information
PUT/v1/networks/{network_id}/network-interfaces/{network_interface_id}Update a Network Interface's information
GET/v1/routesGet all routes in the workspace
POST/v1/routesPerform a route creation
GET/v1/routes/reportGet the route report for a workspace
DELETE/v1/routes/{route_id}Delete a route
GET/v1/routes/{route_id}Get a route's information
PUT/v1/routes/{route_id}Update a route's information
GET/v1/snapshotsGet a list of all the snapshots on a workspace
GET/v1/snapshots/{snapshot_id}Get the detail of a snapshot
GET/v1/volume-snapshotsGet the list of volume snapshots on a workspace
GET/v1/volume-snapshots/{volume_snapshot_uuid}Get the detail of a volume snapshot
GET/v1/ssh-keysList SSH Keys
POST/v1/ssh-keysAdd a new SSH key
DELETE/v1/ssh-keys/{sshkey_id}Delete ssh-key
GET/v1/ssh-keys/{sshkey_id}Get ssh-key information
PUT/v1/ssh-keys/{sshkey_id}Update the ssh key
GET/v1/workspacesGet all Workspaces information and capabilities for a tenant
GET/v1/workspaces/{workspace_id}Get a Workspace's information and capabilities